## clonezilla-live-src-2.0.1-5-amd64.debian.tar.gz

=== Makefile ===
VERSION = 3
PATCHLEVEL = 2
SUBLEVEL = 32
EXTRAVERSION =
NAME = Saber-toothed Squirrel

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage


# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := -I$(srctree)/arch/$(hdr-arch)/include \
                   -Iarch/$(hdr-arch)/include/generated -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include $(srctree)/include/linux/kconfig.h

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP
export MAKE AWK GENKSYMS INSTALLKERNEL PERL UTS_MACHINE
export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

export KBUILD_CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS

=== changelog ===
linux (3.2.32-1) unstable; urgency=low

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.31
    - target: Fix ->data_length re-assignment bug with SCSI overflow
    - hpsa: fix handling of protocol error
    - cifs: fix return value in cifsConvertToUTF16
    - asix: Support DLink DUB-E100 H/W Ver C1 (Closes: #687567)
    - dj: memory scribble in logi_dj
    - dm: handle requests beyond end of device instead of using BUG_ON
    - md/raid10: fix "enough" function for detecting if array is failed.
    - libata: Prevent interface errors with Seagate FreeAgent GoFlex
    - vfs: dcache: fix deadlock in tree traversal
    - Revert "drm/radeon: rework pll selection (v3)" (regression in 3.2.30)
    - HID: hidraw: don't deallocate memory when it is in use
    - xfrm: Workaround incompatibility of ESN and async crypto
    - xfrm_user: fix various information leaks
    - xfrm_user: ensure user supplied esn replay window is valid
    - net: guard tcp_set_keepalive() to tcp sockets
    - ipv4: raw: fix icmp_filter()
    - ipv6: raw: fix icmpv6_filter()
    - ipv6: mip6: fix mip6_mh_filter()
    - netrom: copy_datagram_iovec can fail
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.32
    - mtd: nand: Use the mirror BBT descriptor when reading its version
    - TTY: ttyprintk, don't touch behind tty->write_buf
    - n_gsm: fix various serious bugs
    - hpsa: Use LUN reset instead of target reset
    - staging: comedi: don't dereference user memory for INSN_INTTRIG
    - ext4: fix potential deadlock in ext4_nonda_switch()
    - staging: comedi: fix memory leak for saved channel list
    - scsi_remove_target: fix softlockup regression on hot remove
      (Closes: #690990)
    - usb: host: xhci: Fix Null pointer dereferencing with 71c731a for
      non-x86 systems (regression in 3.2.30)
    - ext4: online defrag is not supported for journaled files
    - staging: comedi: s626: don't dereference insn->data
    - serial: pl011: handle corruption at high clock speeds
    - ext4: always set i_op in ext4_mknod()
    - ext4: fix fdatasync() for files with only i_size changes
    - [x86] drm/i915: use adjusted_mode instead of mode for checking the
      6bpc force flag (regression in 3.2.29)
    - staging: comedi: jr3_pci: fix iomem dereference
    - JFFS2: don't fail on bitflips in OOB
    - mtd: nandsim: bugfix: fail if overridesize is too big
    - pnfsblock: fix partial page buffer wirte
    - target/file: Re-enable optional fd_buffered_io=1 operation
    - iscsit: remove incorrect unlock in iscsit_build_sendtargets_resp
    - rapidio/rionet: fix multicast packet transmit logic
    - ALSA: aloop - add locking to timer access
    - [armhf/omap] counter: add locking to read_persistent_clock
    - mm: fix invalidate_complete_page2() lock ordering
    - mm: thp: fix pmd_present for split_huge_page and PROT_NONE with THP
    - mm: hugetlb: fix pgoff computation when unmapping page from vma
    - hugetlb: do not use vma_hugecache_offset() for vma_prio_tree_foreach
    - [x86] firewire: cdev: fix user memory corruption (i386 userland on
      amd64 kernel)
    - udf: fix retun value on error path in udf_load_logicalvol
    - eCryptfs: Unlink lower inode when ecryptfs_create() fails
    - eCryptfs: Initialize empty lower files when opening them
    - eCryptfs: Revert to a writethrough cache model
    - eCryptfs: Write out all dirty pages just before releasing the lower file
    - eCryptfs: Call lower ->flush() from ecryptfs_flush()
    - mempolicy: remove mempolicy sharing
    - mempolicy: fix a race in shared_policy_replace()
    - mempolicy: fix refcount leak in mpol_set_shared_policy()
    - mempolicy: fix a memory corruption by refcount imbalance in
      alloc_pages_vma()
    - hpsa: dial down lockup detection during firmware flash
    - netfilter: nf_ct_ipv4: packets with wrong ihl are invalid
    - netfilter: nf_nat_sip: fix incorrect handling of EBUSY for RTCP
      expectation
    - netfilter: nf_ct_expect: fix possible access to uninitialized timer
    - ipvs: fix oops on NAT reply in br_nf context

  [ Ben Hutchings ]
  * codel: refine one condition to avoid a nul rec_inv_sqrt
  * [mips,mipsel] Ignore NFS/SunRPC ABI changes in 3.2.30 (fixes FTBFS)
  * tg3: Fix TSO CAP for 5704 devs w / ASF enabled
  * SUNRPC: Set alloc_slot for backchannel tcp ops (regression in 3.2.30)
  * iwlwifi: Do not request unreleased firmware for IWL6000 (Closes: #689416)
  * aufs: Update to aufs3.2-20120827:
    - Fix statfs() values when different block sizes are in use
  * udeb: Add hid-logitech-dj to input-modules (Closes: #661379)
  * connector: Make CONNECTOR built-in; enable PROC_EVENTS (Closes: #588200)
  * e1000e: Change wthresh to 1 to avoid possible Tx stalls
  * [x86] efi: Build EFI stub with EFI-appropriate options
  * [rt] Update to 3.2.32-rt48:
    - random: Make add_interrupt_randomness() work on rt
    - softirq: Init softirq local lock after per cpu section is set up
    - mm: slab: Fix potential deadlock
    - mm: page_alloc: Use local_lock_on() instead of plain spinlock
    - rt: rwsem/rwlock: lockdep annotations
    - sched: Better debug output for might sleep
    - stomp_machine: Use mutex_trylock when called from inactive cpu
  * [x86] storvsc: Account for in-transit packets in the RESET path
  * fs: handle failed audit_log_start properly
  * fs: prevent use after free in auditing when symlink following was denied
  * kernel/sys.c: fix stack memory content leak via UNAME26 (CVE-2012-0957)
  * ALSA: hda: Fix oops caused by "Fix internal mic for Lenovo Ideapad U300s"
    in 3.2.32

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 22 Oct 2012 06:25:37 +0100

linux (3.2.30-1) unstable; urgency=low

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.30
    - ext3: Fix fdatasync() for files with only i_size changes
    - UBI: fix a horrible memory deallocation bug
    - fuse: fix retrieve length


=== debian/changelog ===
apt (0.9.7.6) unstable; urgency=low

  [ Program translation updates ]
  * Ukrainian (A. Bondarenko)

  [ David Kalnischkies ]
  * apt-pkg/pkgcachegen.cc:
    - ensure that dependencies for packages:none are always generated
    - add 2 missing remap registrations causing a segfault in case
      we use the not remapped iterators after a move of the mmap again
    - write the native architecture as unique string into the cache header
      as it is used for arch:all packages as a map to arch:native.
      Otherwise arch comparisons later will see differences (Closes: #689323)
  * apt-pkg/pkgcache.cc:
    - ignore negative dependencies applying in the same group for M-A:same
      packages on the real package name as self-conflicts (Closes: #688863)
  * cmdline/apt-cache.cc:
    - print versioned dependency relations in (r)depends if the option
      APT::Cache::ShowVersion is true (default: false) as discussed in
      #218995 to help debian-cd fixing #687949. Thanks to Sam Lidder
      for initial patch and Steve McIntyre for nagging and testing!
  * apt-pkg/edsp.cc:
    - include reinstall requests and already installed (= protected) packages
      in the install-request for external resolvers (Closes: #689331)
  * apt-pkg/policy.cc:
    - match pins with(out) an architecture as we do on the commandline
      (partly fixing #687255, b= support has to wait for jessie)
  * apt-pkg/contrib/netrc.cc:
    - remove the 64 char limit for login/password in internal usage
    - remove 256 char line limit by using getline() (POSIX.1-2008)
  
  [ Colin Watson ]
  * apt-pkg/pkgcachegen.cc:
    - Fix crash if the cache is remapped while writing a Provides version
      (LP: #1066445).

 -- Michael Vogt <mvo@debian.org>  Tue, 16 Oct 2012 18:08:53 +0200

apt (0.9.7.5) unstable; urgency=low

  [ Manpages translation updates ]
  * Japanese (KURASAWA Nozomu) (Closes: #684435)
  * Portuguese (Américo Monteiro) (Closes: #686975)

  [ David Kalnischkies ]
  * handle packages without a mandatory architecture (debian-policy §5.3)
    by introducing a pseudo-architecture 'none' so that the small group of
    users with these packages can get right of them without introducing too
    much hassle for other users (Closes: #686346)
  * apt-pkg/cdrom.cc:
    - copy only configured translation files from a CD-ROM and not all
      available translation files preventing new installs with d-i from
      being initialized with all translations (Closes: #678227)
    - handle Components in the reduction for the source.list as multi-arch CDs
      otherwise create duplicated source entries (e.g. "wheezy main main")
  * apt-pkg/packagemanager.cc:
    - unpack versions only in case a different version from the package
      is currently in unpack state to recover from broken system states
      (like different file in M-A:same package and other dpkg errors)
      and avoid re-unpack otherwise (Closes: #670900)
  * debian/control:
    - let libapt-pkg break apt < 0.9.4 to ensure that the installed http-
      method supports the new redirection-style, thanks to Raphael Geissert
      for reporting & testing (Closes: #685192)
  * doc/apt_preferences.5.xml:
    - use the correct interval (x <= P < y) for pin value documentation as
      these are the intervals used by the code (Closes: #685989)
  * apt-pkg/indexcopy.cc:
    - do not create duplicated flat-archive CD-ROM sources for foreign
      architectures on multi-arch CD-ROMs
    - do not warn about files which have a record in the Release file, but
      are not present on the CD to mirror the behavior of the other methods
      and to allow uncompressed indexes to be dropped without scaring users
  * apt-pkg/pkgcachegen.cc:
    - do not create 'native' (or now 'none') package structures as a side
      effect of description translation parsing as it pollutes the cache

 -- Michael Vogt <mvo@debian.org>  Tue, 11 Sep 2012 15:56:44 +0200

apt (0.9.7.4) unstable; urgency=low

  [ Manpages translation updates ]
  * Polish (Robert Luberda) (Closes: #683109)

  [ Program translation updates ]
  * Polish (Michał Kułach)

  [ Pino Toscano ]
  * apt-pkg/contrib/mmap.cc:
    - guard only the msync call with _POSIX_SYNCHRONIZED_IO rather
      than also the fallback code as it breaks APT on hurd since 0.9.7.3
      as the fallback is now always used on non-linux (Closes: #683354)

  [ David Kalnischkies ]
  * apt-pkg/contrib/fileutl.cc:
    - remove _POSIX_SYNCHRONIZED_IO guard in FileFd::Sync() around fsync
      as this guard is only needed for fdatasync and not defined on hurd
  * cmdline/apt-get.cc:
    - error out on (unsatisfiable) build-deps on purly virtual packages
      instead of ignoring these dependencies; thanks to Johannes Schauer
      for the detailed report! (Closes: #683786)
    - ensure that the right architecture is used for cross-dependencies in
      cases we have to choose a provider by defaulting on host-arch
      instead of build-arch
  * doc/apt-verbatim.ent:
    - denote 'wheezy' as stable codename and 'jessie' as testing codename
      in the documentation in preparation for release
  * apt-pkg/indexcopy.cc:
    - do not use atomic writing if the target is /dev/null as we don't want
      to replace it, not even automically. (Closes: #683410)
  * apt-pkg/cdrom.cc:
    - do not link() but rename() the cdroms.list to cdroms.list~ as a backup
      to ensure that apt-cdrom can be run multiple times (Closes: #676302)

 -- Michael Vogt <mvo@debian.org>  Mon, 06 Aug 2012 15:55:04 +0200

apt (0.9.7.3) unstable; urgency=low

  [ Manpages translation updates ]
  * Spanish; (Omar Campagne). Closes: #681566

  [ Program translation updates ]
  * Czech (Miroslav Kure). Closes: #680758

  [ David Kalnischkies ]
  * apt-pkg/cacheset.cc:
    - handle :all and :native correctly as architectures again
      in the commandline parsing (regression in 0.9.7)
  * apt-pkg/packagemanager.cc:
    - do not segfault if nothing can be configured to statisfy


=== control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 7), cpio, kmod | module-init-tools, python (>= 2.6.6-3~), lzma [armel], kernel-wedge (>= 2.84), quilt, patchutils, gcc-4.6 [alpha amd64 armel armhf i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64], gcc-4.4 [hppa], binutils-hppa64 [hppa], gcc-4.4-hppa64 [hppa]
Build-Depends-Indep: bzip2, xmlto
Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux/
Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux/

Package: linux-source-3.2
Architecture: all
Section: kernel
Provides: linux-source
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.2 with Debian patches
 This package provides source code for the Linux kernel version 3.2. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-doc-3.2
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.2
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.2.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.2/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-manual-3.2
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.2
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-support-3.2.0-4
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}
Description: Support files for Linux 3.2
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-libc-dev
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-headers-3.2.0-4-all
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.2.0-4-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-4-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.2.0-4-alpha-generic (= ${binary:Version}), linux-headers-3.2.0-4-alpha-smp (= ${binary:Version}), linux-headers-3.2.0-4-alpha-legacy (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-4-common
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: ${misc:Depends}
Description: Common header files for Linux 3.2.0-4
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.2.0-4, generally used for building out-of-tree
 kernel modules.  To obtain a complete set of headers you also need to
 install the linux-headers-3.2.0-4-(flavour) package, matching the flavour
 of the kernel you intend the build for.

Package: linux-image-3.2.0-4-alpha-generic
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-4-alpha-generic
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-4-alpha-generic
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.6
Description: Header files for Linux 3.2.0-4-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-4-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-4-alpha-generic, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-4-alpha-generic package.

Package: linux-image-3.2.0-4-alpha-smp
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-4-alpha-smp
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha SMP
 The Linux kernel 3.2 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-4-alpha-smp
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.6
Description: Header files for Linux 3.2.0-4-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-4-alpha-smp, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-4-alpha-smp, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-4-alpha-smp package.

Package: linux-image-3.2.0-4-alpha-legacy
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-4-alpha-legacy
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha Legacy
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with legacy
 kernel start address.

Package: linux-headers-3.2.0-4-alpha-legacy
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.6
Description: Header files for Linux 3.2.0-4-alpha-legacy
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-4-alpha-legacy, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-4-alpha-legacy, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-4-alpha-legacy package.

Package: linux-headers-3.2.0-4-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.2.0-4-amd64 (= ${binary:Version}), linux-headers-3.2.0-4-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: kernel-image
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-4-amd64

Package: nic-modules-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-modules
Depends: kernel-image-3.2.0-4-amd64-di, nic-shared-modules-3.2.0-4-amd64-di, core-modules-3.2.0-4-amd64-di, firewire-core-modules-3.2.0-4-amd64-di
Description: Common NIC drivers
 This package contains common NIC drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-4-amd64

Package: nic-extra-modules-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-extra-modules
Depends: kernel-image-3.2.0-4-amd64-di, nic-shared-modules-3.2.0-4-amd64-di, core-modules-3.2.0-4-amd64-di, i2c-modules-3.2.0-4-amd64-di, crc-modules-3.2.0-4-amd64-di
Description: Rare NIC drivers
 This package contains rare NIC drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-4-amd64

Package: nic-wireless-modules-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.2.0-4-amd64-di, nic-shared-modules-3.2.0-4-amd64-di, core-modules-3.2.0-4-amd64-di, usb-modules-3.2.0-4-amd64-di, mmc-modules-3.2.0-4-amd64-di, pcmcia-modules-3.2.0-4-amd64-di, crc-modules-3.2.0-4-amd64-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP).
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-4-amd64

Package: nic-shared-modules-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.2.0-4-amd64-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-extra-modules, nic-pcmcia-modules, and nic-wireless-modules.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-4-amd64

Package: serial-modules-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.2.0-4-amd64-di, pcmcia-modules-3.2.0-4-amd64-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.2.0-4-amd64

Package: usb-serial-modules-3.2.0-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.2.0-4-amd64-di, usb-modules-3.2.0-4-amd64-di
Description: USB serial drivers

=== debian/control ===
Source: firmware-free
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.8.1
Build-Depends: debhelper (>= 5)
Vcs-Svn: svn://svn.debian.org/kernel/dists/trunk/firmware-free/
Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-free/

Package: firmware-linux-free
Architecture: all
Suggests: initramfs-tools, linux-image
Replaces: 
Conflicts: 
Description: Binary firmware for various drivers in the Linux kernel
 This package contains firmware which was previously included in the Linux
 kernel and which is compliant with the Debian Free Software Guidelines.
 .
 Most firmware previously included in the Linux kernel is non-free and has
 been moved to the firmware-linux-nonfree package.
 .
 Contents:
  * AV7110 DVB card firmware (av7110/bootcode.bin)
  * 3Com Megahertz 3CCFEM556 CIS fix (cis/3CCFEM556.cis)
  * 3Com Megahertz 3CXEM556 CIS fix (cis/3CXEM556.cis)
  * Advantech COMpad-32/85 CIS fix (cis/COMpad2.cis)
  * Advantech COMpad-32/85B-4 CIS fix (cis/COMpad4.cis)
  * NSC DP83903 PCMCIA Ethernet card CIS fix (cis/DP83903.cis)
  * Allied Telesis LA-PCM CIS fix (cis/LA-PCM.cis)
  * MultiTech PCMCIA 56K DataFax CIS fix (cis/MT5634ZLX.cis)
  * NDC PCMCIA Ethernet card CIS fix (cis/NE2K.cis)
  * EN2218-LAN/MODEM CIS fix (cis/PCMLM28.cis)
  * PreMax PE-200 CIS fix (cis/PE-200.cis)
  * LanPro EP-4000A CIS fix (cis/PE520.cis)
  * RS-COM 2P CIS fix (cis/RS-COM-2P.cis)
  * Sierra Aircard 555 CIS fix (cis/SW_555_SER.cis)
  * Sierra Wireless AC710/AC750 CIS fix (cis/SW_7xx_SER.cis)
  * Sierra Wireless AC850/AC860 CIS fix (cis/SW_8xx_SER.cis)
  * Tamarack PCMCIA Ethernet card CIS fix (cis/tamarack.cis)
  * Atari Falcon DSP56001 firmware (dsp56k/bootstrap.bin)
  * Intel C600 SAS/SATA controller default parameters, version 1.3 (isci/isci_firmware.bin)
  * Keyspan USA-19 firmware (keyspan_pda/keyspan_pda.fw)
  * Xircom PGSDB9/Entrega PortGear firmware (keyspan_pda/xircom_pgs.fw)
  * USB-DUX firmware (usbdux_firmware.bin)
  * USB-DUXfast firmware (usbduxfast_firmware.bin)
  * USB-DUXsigma firmware (usbduxsigma_firmware.bin)
Multi-Arch: ${firmware:Multi-Arch}
Homepage: http://git.kernel.org/?p=linux/kernel/git/firmware/linux-firmware.git

=== rules ===
#!/usr/bin/make -f

package=cpio

CFLAGS = -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
STRIP = $(DEB_HOST_GNU_TYPE)-strip
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
STRIP = strip
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

obj/Makefile:
	$(checkdir)
	mkdir -p obj
	cd obj && CPIO_MT_PROG=mt ../configure $(shell dpkg-buildflags --export=configure) --prefix=/usr $(CROSS) \
	       --mandir=/usr/share/man \
	       --infodir=/usr/share/info \
	       --bindir=/bin \
	       --libexecdir=/usr/sbin

	touch tests/testsuite tests/package.m4

obj-win32/Makefile:
	$(checkdir)
	mkdir -p obj-win32
	cd obj-win32 && CFLAGS='$(CFLAGS)' ../configure --host i586-mingw32msvc

build-arch: build
build-indep: build
build:	obj/Makefile
	$(checkdir)
	$(MAKE) -C obj
	touch tests/testsuite.at tests/testsuite tests/package.m4
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C obj check
endif
	touch build

build-win32:	obj-win32/Makefile
	$(checkdir)
	$(MAKE) -C obj-win32
	touch build-win32

clean:
	$(checkdir)
	$(RM) build
	test ! -f Makefile || $(MAKE) distclean
	$(RM) config.cache
	$(RM) -r obj obj-win32
	$(RM) -r *~ debian/tmp debian/tmp-win32 debian/*~ debian/files*
	$(RM) -f debian/substvars
#	$(RM) -rf autom4te.cache

binary-indep:	checkroot build build-win32
	$(checkdir)
	$(RM) -r debian/tmp-win32
	$(INSTALL_DIR) debian/tmp-win32 debian/tmp-win32/DEBIAN
	$(INSTALL_DIR) debian/tmp-win32/usr/share/doc/$(package)-win32
# Install directories
	$(INSTALL_DIR) 	\
		debian/tmp-win32/usr/share/win32
# Install files
	install -m 755 obj-win32/src/cpio.exe debian/tmp-win32/usr/share/win32/
	i586-mingw32msvc-strip debian/tmp-win32/usr/share/win32/cpio.exe
# Install changelog & copyright
	install -m 644 debian/changelog \
	  debian/tmp-win32/usr/share/doc/$(package)-win32/changelog.Debian
	gzip -9v debian/tmp-win32/usr/share/doc/$(package)-win32/*
	install -m 644 debian/copyright debian/tmp-win32/usr/share/doc/$(package)-win32/.

# Generate md5sums
	cd debian/tmp-win32 && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums

# Generate deb file
	dpkg-gencontrol -pcpio-win32 -Pdebian/tmp-win32
	chown -R root.root debian/tmp-win32
	chmod -R g-ws debian/tmp-win32
	dpkg-deb --build debian/tmp-win32 ..

binary-arch:	checkroot build
	$(checkdir)
	$(RM) -r debian/tmp
	$(INSTALL_DIR) debian/tmp debian/tmp/DEBIAN
	$(INSTALL_DIR) debian/tmp/usr/share/doc/$(package)
# Install Debian package control information files
	$(INSTALL_SCRIPT) debian/postinst \
		debian/prerm debian/tmp/DEBIAN/.
# Install directories
	$(INSTALL_DIR) 	\
		debian/tmp/bin	\
		debian/tmp/usr/share/man/man1	\
		debian/tmp/usr/share/info
# Install files
	$(MAKE) -C obj install DESTDIR=$(CURDIR)/debian/tmp
	rm -rf debian/tmp/usr/libexec
	mv debian/tmp/bin/mt debian/tmp/bin/mt-gnu
	mv debian/tmp/usr/share/man/man1/mt.1 \
	  debian/tmp/usr/share/man/man1/mt-gnu.1
# Strip binaries (including hack by policy wonks)
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	$(STRIP) -R.note -R.comment debian/tmp/bin/*
endif
	rm -rf debian/tmp/usr/sbin
# Install documentation
	install -m 644 ChangeLog debian/tmp/usr/share/doc/$(package)/changelog
	install -m 644 NEWS README debian/tmp/usr/share/doc/$(package)/.
# Install changelog & copyright
	install -m 644 debian/changelog \
	  debian/tmp/usr/share/doc/$(package)/changelog.Debian
	gzip -9v debian/tmp/usr/share/doc/$(package)/*
	gzip -9v debian/tmp/usr/share/man/*/*
	gzip -9v debian/tmp/usr/share/info/*
	rm -f debian/tmp/usr/share/info/dir.gz
	install -m 644 debian/copyright debian/tmp/usr/share/doc/$(package)/.
# Determine shared library dependencies
	dpkg-shlibdeps debian/tmp/bin/cpio debian/tmp/bin/mt-gnu

# Generate md5sums
	cd debian/tmp && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums

# Generate deb file
	dpkg-gencontrol -pcpio -Pdebian/tmp
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg-deb --build debian/tmp ..

define checkdir
	test -f src/$(package).h && test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
